curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/self-categorization-statement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"answers": {
"investor": {
"type": "restricted_investor"
}
}
}
}
'{
"selfCategorizationStatement": {
"code": "self-categorization-statement",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"answers": {
"investor": {
"type": "restricted_investor"
}
}
},
"hint": {
"type": "form",
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"schema": {
"type": "object",
"properties": {
"investor": {
"type": "object",
"title": "Client Categorization",
"description": "The FCA divides investors into 2 types. Choose the best fit for you.",
"minProperties": 1,
"unevaluatedProperties": false,
"required": [
"type"
],
"properties": {
"type": {
"type": "string",
"oneOf": [
{
"const": "restricted_investor",
"title": "Restricted Investor"
},
{
"const": "high_net_worth_investor",
"title": "High-Net-Worth Investor"
}
]
}
}
},
"investor-profile": {
"type": "object",
"title": "Restricted Investor",
"description": "Confirm whether you qualify as a Restricted Investor.",
"minProperties": 1,
"unevaluatedProperties": false,
"properties": {
"invested-less-than-10-percent": {
"type": "string",
"description": "Have you invested less than 10% of your net assets in high-risk investments in the past 12 months?",
"oneOf": [
{
"const": "yes",
"title": "Yes, I have invested less than 10% of my net assets"
},
{
"const": "no",
"title": "No, I have invested more than 10% of my net assets"
}
]
},
"invested-percentage": {
"type": "string",
"title": "Percentage invested",
"description": "If yes, roughly what percentage of your net assets have you invested in high-risk investments?",
"pattern": "^(100|[1-9]?\\d(\\.\\d{1,2})?)$"
},
"invest-less-than-10-percent": {
"type": "string",
"description": "Do you intend to invest less than 10% of your net assets in high-risk investments in the next 12 months?",
"oneOf": [
{
"const": "yes",
"title": "Yes, I intend to invest less than 10% of my net assets"
},
{
"const": "no",
"title": "No, I intend to invest more than 10% of my net assets"
}
]
},
"invest-percentage": {
"type": "string",
"title": "Percentage intended to invest",
"description": "If yes, roughly what percentage of your net assets do you intend to invest in high-risk investments?",
"pattern": "^(100|[1-9]?\\d(\\.\\d{1,2})?)$"
},
"investor-type-confirmation": {
"type": "boolean",
"const": true,
"title": "I accept that being a Restricted Investor will expose me to promotions for investment where there is a significant risk of losing all the money I invest."
}
},
"allOf": [
{
"if": {
"properties": {
"invested-less-than-10-percent": {
"const": "yes"
}
},
"required": [
"invested-less-than-10-percent"
]
},
"then": {
"type": "object",
"properties": {
"invested-percentage": true
},
"required": [
"invested-percentage"
]
},
"else": {
"type": "object",
"properties": {
"invested-percentage": false
}
}
},
{
"if": {
"properties": {
"invest-less-than-10-percent": {
"const": "yes"
}
},
"required": [
"invest-less-than-10-percent"
]
},
"then": {
"type": "object",
"properties": {
"invest-percentage": true
},
"required": [
"invest-percentage"
]
},
"else": {
"type": "object",
"properties": {
"invest-percentage": false
}
}
}
],
"required": [
"invested-less-than-10-percent",
"invest-less-than-10-percent",
"investor-type-confirmation"
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "Client Categorization",
"elements": [
{
"type": "Control",
"scope": "#/properties/investor/properties/type"
}
]
},
{
"type": "Category",
"label": "Restricted Investor",
"elements": [
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invested-less-than-10-percent"
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invested-percentage",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/investor-profile/properties/invested-less-than-10-percent",
"schema": {
"const": "yes"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invest-less-than-10-percent"
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invest-percentage",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/investor-profile/properties/invest-less-than-10-percent",
"schema": {
"const": "yes"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/investor-type-confirmation"
}
]
}
]
}
}
}
}KYC
Update self-categorization statement
Update the self-categorization statement process for a user.
PATCH
/
core
/
kyc
/
processes
/
self-categorization-statement
curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/self-categorization-statement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"answers": {
"investor": {
"type": "restricted_investor"
}
}
}
}
'{
"selfCategorizationStatement": {
"code": "self-categorization-statement",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"answers": {
"investor": {
"type": "restricted_investor"
}
}
},
"hint": {
"type": "form",
"formId": "ac33651f-f2d3-47c4-8e8d-06fb87361f5c",
"schema": {
"type": "object",
"properties": {
"investor": {
"type": "object",
"title": "Client Categorization",
"description": "The FCA divides investors into 2 types. Choose the best fit for you.",
"minProperties": 1,
"unevaluatedProperties": false,
"required": [
"type"
],
"properties": {
"type": {
"type": "string",
"oneOf": [
{
"const": "restricted_investor",
"title": "Restricted Investor"
},
{
"const": "high_net_worth_investor",
"title": "High-Net-Worth Investor"
}
]
}
}
},
"investor-profile": {
"type": "object",
"title": "Restricted Investor",
"description": "Confirm whether you qualify as a Restricted Investor.",
"minProperties": 1,
"unevaluatedProperties": false,
"properties": {
"invested-less-than-10-percent": {
"type": "string",
"description": "Have you invested less than 10% of your net assets in high-risk investments in the past 12 months?",
"oneOf": [
{
"const": "yes",
"title": "Yes, I have invested less than 10% of my net assets"
},
{
"const": "no",
"title": "No, I have invested more than 10% of my net assets"
}
]
},
"invested-percentage": {
"type": "string",
"title": "Percentage invested",
"description": "If yes, roughly what percentage of your net assets have you invested in high-risk investments?",
"pattern": "^(100|[1-9]?\\d(\\.\\d{1,2})?)$"
},
"invest-less-than-10-percent": {
"type": "string",
"description": "Do you intend to invest less than 10% of your net assets in high-risk investments in the next 12 months?",
"oneOf": [
{
"const": "yes",
"title": "Yes, I intend to invest less than 10% of my net assets"
},
{
"const": "no",
"title": "No, I intend to invest more than 10% of my net assets"
}
]
},
"invest-percentage": {
"type": "string",
"title": "Percentage intended to invest",
"description": "If yes, roughly what percentage of your net assets do you intend to invest in high-risk investments?",
"pattern": "^(100|[1-9]?\\d(\\.\\d{1,2})?)$"
},
"investor-type-confirmation": {
"type": "boolean",
"const": true,
"title": "I accept that being a Restricted Investor will expose me to promotions for investment where there is a significant risk of losing all the money I invest."
}
},
"allOf": [
{
"if": {
"properties": {
"invested-less-than-10-percent": {
"const": "yes"
}
},
"required": [
"invested-less-than-10-percent"
]
},
"then": {
"type": "object",
"properties": {
"invested-percentage": true
},
"required": [
"invested-percentage"
]
},
"else": {
"type": "object",
"properties": {
"invested-percentage": false
}
}
},
{
"if": {
"properties": {
"invest-less-than-10-percent": {
"const": "yes"
}
},
"required": [
"invest-less-than-10-percent"
]
},
"then": {
"type": "object",
"properties": {
"invest-percentage": true
},
"required": [
"invest-percentage"
]
},
"else": {
"type": "object",
"properties": {
"invest-percentage": false
}
}
}
],
"required": [
"invested-less-than-10-percent",
"invest-less-than-10-percent",
"investor-type-confirmation"
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "Client Categorization",
"elements": [
{
"type": "Control",
"scope": "#/properties/investor/properties/type"
}
]
},
{
"type": "Category",
"label": "Restricted Investor",
"elements": [
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invested-less-than-10-percent"
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invested-percentage",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/investor-profile/properties/invested-less-than-10-percent",
"schema": {
"const": "yes"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invest-less-than-10-percent"
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/invest-percentage",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/investor-profile/properties/invest-less-than-10-percent",
"schema": {
"const": "yes"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/investor-profile/properties/investor-type-confirmation"
}
]
}
]
}
}
}
}
Update self-categorization statement is the endpoint used to submit the form that determines the user’s investor profile, including risk level and investment preferences.
When calling
This process is exempt for all users residing outside of Great Britain (GB).
GET /core/kyc?detailed=selfCategorizationStatement, you will get a hint property which includes a dynamic form schema and UI schema.
The hint property will also be available in responses of this endpoint, in case there are still questions to be answered.
For more information about forms, refer to the form-based processes section.Authorizations
OAuth 2.0 authentication.
Headers
The natural language and locale that the client prefers.
Body
application/json
Response
KYC self-categorization statement process updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I